Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class Html4TFDocDesc

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
          edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
              edu.harvard.hul.ois.jhove.module.html.Html4TFDocDesc

Direct Known Subclasses:
  Html4_01TFDocDesc, Html4_0TFDocDesc

    public abstract class Html4TFDocDesc

extends Html4DocDesc

Abstract class for common features of HTML 4.0 and 4.01 transitional and frameset documents. The differences between 4.0 and 4.01 are minor, as are the differences between transitional and frameset so most of the code is found here.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
`bigAttrs, biggerAttrs, blockContent, bodyContent, coreAttrs, eventAttrs, flowContent, fontMarkup, formMarkup, halignAtt, i18nAttrs, inlineContent, listContent, listMarkup, phraseMarkup, reservedAttrs, specialMarkup, thtdAtts, valignAtt`

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`bodyElement, commonTags, framesetElement, headElement, headings, htmlElement, supportedElements`

Constructor Summary
`Html4TFDocDesc()`

Method Summary
`protected static void` | `addAElement(java.util.Map stSupportedElements)` Defines the A element.
`protected static void` | `addAppletElement(java.util.Map stSupportedElements, HtmlAttributeDesc ialignAtt)`
`protected static void` | `addAreaElement(java.util.Map stSupportedElements, HtmlAttributeDesc shapeAtt)`
`protected static void` | `addBaseElement(java.util.Map stSupportedElements)`
`protected static void` | `addBasefontElement(java.util.Map stSupportedElements)`
`protected static void` | `addBlockquoteElement(java.util.Map stSupportedElements)`
`protected static void` | `addBrElement(java.util.Map stSupportedElements, java.util.List coreAttrs)`
`protected static void` | `addButtonElement(java.util.Map stSupportedElements)`
`protected static void` | `addCaptionElement(java.util.Map stSupportedElements, java.util.List inlineContent, HtmlAttributeDesc valignAtt)`
`protected static void` | `addCenterElement(java.util.Map stSupportedElements)`
`protected static void` | `addDirElement(java.util.Map stSupportedElements)`
`protected static void` | `addDivElement(java.util.Map stSupportedElements)`
`protected static void` | `addDlElement(java.util.Map stSupportedElements)`
`protected static void` | `addFontElement(java.util.Map stSupportedElements)` Adds the Font element.
`protected static void` | `addFrameElement(java.util.Map stSupportedElements)` Adds to Frame element.
`protected static void` | `addFramesetElement(java.util.Map stSupportedElements)` Adds the Frameset element.
`protected static void` | `addHeadElement(java.util.Map stSupportedElements)`
`protected static void` | `addHrElement(java.util.Map stSupportedElements)`
`protected static void` | `addInputElement(java.util.Map stSupportedElements)`
`protected static void` | `addLegendElement(java.util.Map stSupportedElements)`
`protected static void` | `addLiElement(java.util.Map stSupportedElements)`
`protected static void` | `addLinkElement(java.util.Map stSupportedElements)`
`protected static void` | `addMenuElement(java.util.Map stSupportedElements)`
`protected static void` | `addNoframesElement(java.util.Map stSupportedElements, int version)` Adds the NOFRAMES element.
`protected static void` | `addNoscriptElement(java.util.Map stSupportedElements)`
`protected static void` | `addObjectElement(java.util.Map stSupportedElements)`
`protected static void` | `addOlElement(java.util.Map stSupportedElements)`
`protected static void` | `addPElement(java.util.Map stSupportedElements)`
`protected static void` | `addPreElement(java.util.Map stSupportedElements)`
`protected static void` | `addScriptElement(java.util.Map stSupportedElements)`
`protected static void` | `addTableElement(java.util.Map stSupportedElements)`
`protected static void` | `addTrElement(java.util.Map stSupportedElements)`
`protected static void` | `addUlElement(java.util.Map stSupportedElements)`
`protected static void` | `classInit4(java.util.Map stSupportedElements)` Code which is called from the static initializer of the subclasses.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.Html4DocDesc
`addAddressElement, addBdoElement, addBodyElement, addColElement, addColgroupElement, addDdElement, addDelElement, addDtElement, addFieldsetElement, addInsElement, addLabelElement, addMapElement, addMetaElement, addOptgroupElement, addOptionElement, addParamElement, addQElement, addSelectElement, addSpanElement, addStyleElement, addSubElement, addSupElement, addTbodyElement, addTdElement, addTextareaElement, addTfootElement, addTheadElement, addThElement, addTitleElement`

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlDocDesc
`addRequiredAttribute, addSelfAttribute, addSimpleAttribute, addStringsToList, getMetadata, init, pushElementStack, removeStringsFromList, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Html4TFDocDesc

    public Html4TFDocDesc()

Method Detail

### classInit4

    protected static void classInit4(java.util.Map stSupportedElements)

  Code which is called from the static initializer of the subclasses. Note that this is called before the class is instantiated, and may reference only static fields and subroutines.

### addAElement

    protected static void addAElement(java.util.Map stSupportedElements)

  Defines the A element.

### addAppletElement

    protected static void addAppletElement(java.util.Map stSupportedElements,
                                           HtmlAttributeDesc ialignAtt)

### addAreaElement

    protected static void addAreaElement(java.util.Map stSupportedElements,
                                         HtmlAttributeDesc shapeAtt)

### addBaseElement

    protected static void addBaseElement(java.util.Map stSupportedElements)

### addBasefontElement

    protected static void addBasefontElement(java.util.Map stSupportedElements)

### addBlockquoteElement

    protected static void addBlockquoteElement(java.util.Map stSupportedElements)

### addBrElement

    protected static void addBrElement(java.util.Map stSupportedElements,
                                       java.util.List coreAttrs)

### addButtonElement

    protected static void addButtonElement(java.util.Map stSupportedElements)

### addCaptionElement

    protected static void addCaptionElement(java.util.Map stSupportedElements,
                                            java.util.List inlineContent,
                                            HtmlAttributeDesc valignAtt)

### addCenterElement

    protected static void addCenterElement(java.util.Map stSupportedElements)

### addDirElement

    protected static void addDirElement(java.util.Map stSupportedElements)

### addDivElement

    protected static void addDivElement(java.util.Map stSupportedElements)

### addDlElement

    protected static void addDlElement(java.util.Map stSupportedElements)

### addFontElement

    protected static void addFontElement(java.util.Map stSupportedElements)

  Adds the Font element.

### addFrameElement

    protected static void addFrameElement(java.util.Map stSupportedElements)

  Adds to Frame element.

### addFramesetElement

    protected static void addFramesetElement(java.util.Map stSupportedElements)

  Adds the Frameset element. This is called only for 4.0 and 4.01 Frameset docuemnts.

### addHeadElement

    protected static void addHeadElement(java.util.Map stSupportedElements)

### addHrElement

    protected static void addHrElement(java.util.Map stSupportedElements)

### addInputElement

    protected static void addInputElement(java.util.Map stSupportedElements)

### addLegendElement

    protected static void addLegendElement(java.util.Map stSupportedElements)

### addLiElement

    protected static void addLiElement(java.util.Map stSupportedElements)

### addLinkElement

    protected static void addLinkElement(java.util.Map stSupportedElements)

### addMenuElement

    protected static void addMenuElement(java.util.Map stSupportedElements)

### addNoframesElement

    protected static void addNoframesElement(java.util.Map stSupportedElements,
                                             int version)

  Adds the NOFRAMES element. The content differs between Transitional and Frameset DTD's.

### addNoscriptElement

    protected static void addNoscriptElement(java.util.Map stSupportedElements)

### addObjectElement

    protected static void addObjectElement(java.util.Map stSupportedElements)

### addOlElement

    protected static void addOlElement(java.util.Map stSupportedElements)

### addPElement

    protected static void addPElement(java.util.Map stSupportedElements)

### addPreElement

    protected static void addPreElement(java.util.Map stSupportedElements)

### addScriptElement

    protected static void addScriptElement(java.util.Map stSupportedElements)

### addTableElement

    protected static void addTableElement(java.util.Map stSupportedElements)

### addTrElement

    protected static void addTrElement(java.util.Map stSupportedElements)

### addUlElement

    protected static void addUlElement(java.util.Map stSupportedElements)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD